/*
 * Include header files for all drivers that have been imported from
 * Atmel Software Framework (ASF).
 */
/*
 * Support and FAQ: visit <a href="https://www.microchip.com/support/">Microchip Support</a>
 */
#include <asf.h>
#include <util/delay.h>


/* Define application pointer type */

void Move_interrupts_BootReset(void)
{
	volatile uint8_t temp;

	/* GET MCUCR*/
	temp = MCUCR;

	/* Enable change of Interrupt Vectors */
	MCUCR = temp | (1 << IVCE);

	/* Move interrupts to Boot Flash section */
	MCUCR |= (1 << IVSEL);
}


	
int main(void)
{
	Move_interrupts_BootReset();
	
	/* Insert system clock initialization code here (sysclk_init()). */
	sysclk_init();

	board_init();

	/* Insert application code here, after the board has been initialized. */

	for(volatile uint8_t count = 0; count < 5; count++)
	{
		ioport_set_value(LED0, 1);
		_delay_us(200000);

		ioport_set_value(LED0, 0);
		_delay_us(200000);
	}

	/* Word-based address */
	void (*ptr_mainfunc)(void) = (0x0000 / 2);
	ptr_mainfunc();
}

/* End of File */

